-- Script editat de vasilisvasilis31
AnimatiiMotor = {};

function AnimatiiMotor.prerequisitesPresent(specializations)
    return true;
end;

function AnimatiiMotor:load(xmlFile)
	self.Ventilator = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Ventilator#index"));
      self.VentilatorAlternator = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.VentilatorAlternator#index"));
      self.Rola = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Rola#index"));
      self.Rola1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Rola1#index"));
        end;



function AnimatiiMotor:delete()
end;

function AnimatiiMotor:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AnimatiiMotor:keyEvent(unicode, sym, modifier, isDown)
end;

function AnimatiiMotor:update(dt)	
	if self.isMotorStarted then
         		rotate(self.Ventilator, 0, 0, dt*0.01 );		
	end;
	if self.isMotorStarted then
         		rotate(self.VentilatorAlternator, 0, 0, dt*0.01 );		
	end;
	if self.isMotorStarted then
         		rotate(self.Rola, 0, 0, dt*0.01 );		
	end;
	if self.isMotorStarted then
         		rotate(self.Rola1, 0, 0, dt*0.01 );		
	end;
		end;
	
	

function AnimatiiMotor:draw()
end;